Stampfactory
Dokumentation
Schichtmodelle

Arbeitszeitmodell-Zuordnungen aktualisieren

Replace all assignments for this employee.

PUT
/employees/{employee}/schedule_models_history
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedule_models_history" \  -H "Content-Type: application/json" \  -d '{    "assignments": [      {        "schedule_model_id": "7c33d56c-173c-4663-8b50-7c26001a1df6",        "valid_after": "2019-08-24T14:15:22Z"      }    ]  }'
{  "data": [    {      "id": "string",      "schedule_model_id": "string",      "schedule_model": {        "id": "string",        "name": "string",        "type": "string",        "accommodation_time": "string",        "blocked_weekdays": [          0        ],        "night_begin": "string",        "entries": [          {            "id": "string",            "weekday": "string",            "periods": "string",            "pauses": "string",            "core_times": "string",            "pause_thresholds": "string",            "accommodation": {              "start": 0,              "end": 0            }          }        ],        "work_weekdays": "string",        "work_weekdays_label": "string",        "weekly_target_ms": "string",        "weekly_target_hours": 0,        "created_at": "string",        "updated_at": "string"      },      "valid_after": "string",      "created_at": "string",      "updated_at": "string"    }  ]}